package com.quant.entity;

/**
 * ProductSubscribe entity. @author MyEclipse Persistence Tools
 */

public class ProductSubscribe implements java.io.Serializable {
	private static final long serialVersionUID = 401761285849171585L;
	// Fields

	private Integer id;
	private Integer currencyType;
	private Integer leastAmount;
	private Integer leastAddto;
	private Integer purchaseRate;//申购费率
	private String purchaseFeeDescription;//申购费率说明
	private Integer managementFeeRate;//管理费率
	private String managementFeeDescription;//管理费率说明
	private Integer performancePayRate;//浮动管理费率说明
	private String performancePayDescription;//浮动管理费率说明
	private Integer redemptionRate;//赎回费率
	private String redemptionFeeDescription;//赎回费率说明
	private String otherFeeRate;
	private Integer isSetThreshold;
	private Integer isSetGuaranteed;
	private String purchaseDescription;
	private String redemptionDescription;
	private Integer closedPeriod;
	private Integer investorScope;
	private Integer productId;

	// Constructors

	/** default constructor */
	public ProductSubscribe() {
	}

	/** full constructor */
	public ProductSubscribe(Integer currencyType, Integer leastAmount,
			Integer leastAddto, Integer purchaseRate, Integer managementFeeRate,
			Integer performancePayRate, Integer redemptionRate,
			String otherFeeRate, Integer isSetThreshold,
			Integer isSetGuaranteed, String purchaseDescription,
			String redemptionDescription, Integer closedPeriod,
			Integer investorScope, Integer productId) {
		this.currencyType = currencyType;
		this.leastAmount = leastAmount;
		this.leastAddto = leastAddto;
		this.purchaseRate = purchaseRate;
		this.managementFeeRate = managementFeeRate;
		this.performancePayRate = performancePayRate;
		this.redemptionRate = redemptionRate;
		this.otherFeeRate = otherFeeRate;
		this.isSetThreshold = isSetThreshold;
		this.isSetGuaranteed = isSetGuaranteed;
		this.purchaseDescription = purchaseDescription;
		this.redemptionDescription = redemptionDescription;
		this.closedPeriod = closedPeriod;
		this.investorScope = investorScope;
		this.productId = productId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCurrencyType() {
		return this.currencyType;
	}

	public void setCurrencyType(Integer currencyType) {
		this.currencyType = currencyType;
	}

	public Integer getLeastAmount() {
		return this.leastAmount;
	}

	public void setLeastAmount(Integer leastAmount) {
		this.leastAmount = leastAmount;
	}

	public Integer getLeastAddto() {
		return this.leastAddto;
	}

	public void setLeastAddto(Integer leastAddto) {
		this.leastAddto = leastAddto;
	}

	public Integer getPurchaseRate() {
		return this.purchaseRate;
	}

	public void setPurchaseRate(Integer purchaseRate) {
		this.purchaseRate = purchaseRate;
	}

	public Integer getManagementFeeRate() {
		return this.managementFeeRate;
	}

	public void setManagementFeeRate(Integer managementFeeRate) {
		this.managementFeeRate = managementFeeRate;
	}

	public Integer getPerformancePayRate() {
		return this.performancePayRate;
	}

	public void setPerformancePayRate(Integer performancePayRate) {
		this.performancePayRate = performancePayRate;
	}

	public Integer getRedemptionRate() {
		return this.redemptionRate;
	}

	public void setRedemptionRate(Integer redemptionRate) {
		this.redemptionRate = redemptionRate;
	}

	public String getOtherFeeRate() {
		return this.otherFeeRate;
	}

	public void setOtherFeeRate(String otherFeeRate) {
		this.otherFeeRate = otherFeeRate;
	}

	public Integer getIsSetThreshold() {
		return this.isSetThreshold;
	}

	public void setIsSetThreshold(Integer isSetThreshold) {
		this.isSetThreshold = isSetThreshold;
	}

	public Integer getIsSetGuaranteed() {
		return this.isSetGuaranteed;
	}

	public void setIsSetGuaranteed(Integer isSetGuaranteed) {
		this.isSetGuaranteed = isSetGuaranteed;
	}

	public String getPurchaseDescription() {
		return this.purchaseDescription;
	}

	public void setPurchaseDescription(String purchaseDescription) {
		this.purchaseDescription = purchaseDescription;
	}

	public String getRedemptionDescription() {
		return this.redemptionDescription;
	}

	public void setRedemptionDescription(String redemptionDescription) {
		this.redemptionDescription = redemptionDescription;
	}

	public Integer getClosedPeriod() {
		return this.closedPeriod;
	}

	public void setClosedPeriod(Integer closedPeriod) {
		this.closedPeriod = closedPeriod;
	}

	public Integer getInvestorScope() {
		return this.investorScope;
	}

	public void setInvestorScope(Integer investorScope) {
		this.investorScope = investorScope;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getPurchaseFeeDescription() {
		return purchaseFeeDescription;
	}

	public void setPurchaseFeeDescription(String purchaseFeeDescription) {
		this.purchaseFeeDescription = purchaseFeeDescription;
	}

	public String getManagementFeeDescription() {
		return managementFeeDescription;
	}

	public void setManagementFeeDescription(String managementFeeDescription) {
		this.managementFeeDescription = managementFeeDescription;
	}

	public String getPerformancePayDescription() {
		return performancePayDescription;
	}

	public void setPerformancePayDescription(String performancePayDescription) {
		this.performancePayDescription = performancePayDescription;
	}

	public String getRedemptionFeeDescription() {
		return redemptionFeeDescription;
	}

	public void setRedemptionFeeDescription(String redemptionFeeDescription) {
		this.redemptionFeeDescription = redemptionFeeDescription;
	}

}